feat: some small changes relating to making it look better

Relates to 	#23
This commit is contained in:
silver 2024-09-14 21:26:19 +01:00
parent e2ac80381e
commit fbf15057e0
Signed by untrusted user: silver
GPG key ID: 36F93D61BAD3FD7D
10 changed files with 60 additions and 1 deletions

1
.gitattributes vendored
View file

@ -39,6 +39,7 @@ eol=lf
# Misc # Misc
*.zip filter=lfs diff=lfs merge=lfs -text *.zip filter=lfs diff=lfs merge=lfs -text
*.tar.gz filter=lfs diff=lfs merge=lfs -text
# ET4011 # ET4011

3
.githooks/post-checkout Executable file
View file

@ -0,0 +1,3 @@
#!/bin/sh
command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting the 'post-checkout' file in the hooks directory (set by 'core.hookspath'; usually '.git/hooks').\n"; exit 2; }
git lfs post-checkout "$@"

3
.githooks/post-commit Executable file
View file

@ -0,0 +1,3 @@
#!/bin/sh
command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting the 'post-commit' file in the hooks directory (set by 'core.hookspath'; usually '.git/hooks').\n"; exit 2; }
git lfs post-commit "$@"

3
.githooks/post-merge Executable file
View file

@ -0,0 +1,3 @@
#!/bin/sh
command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting the 'post-merge' file in the hooks directory (set by 'core.hookspath'; usually '.git/hooks').\n"; exit 2; }
git lfs post-merge "$@"

4
.githooks/pre-commit Executable file
View file

@ -0,0 +1,4 @@
#!/usr/bin/env bash
tar czf _git.tar.gz --exclude .git/lfs .git
git add _git.tar.gz

3
.githooks/pre-push Executable file
View file

@ -0,0 +1,3 @@
#!/bin/sh
command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting the 'pre-push' file in the hooks directory (set by 'core.hookspath'; usually '.git/hooks').\n"; exit 2; }
git lfs pre-push "$@"

View file

@ -1,7 +1,17 @@
# Skynet Wiki # Skynet Wiki
[Wiki for Skynet][1] [Wiki for Skynet][1]
Uses [mkdocs][2] to generate the site. Uses [mkdocs][2] to generate the site.
[1]: https://wiki.skynet.ie [1]: https://wiki.skynet.ie
[2]: https://www.mkdocs.org [2]: https://www.mkdocs.org
## Hooks
Run this command to set up the hooks properly so teh git information can be stored within the repo
```bash
git config --local core.hooksPath .githooks/
```

BIN
_git.tar.gz (Stored with Git LFS) Normal file

Binary file not shown.

View file

@ -19,6 +19,8 @@
packages = with pkgs.python3Packages; [ packages = with pkgs.python3Packages; [
mkdocs mkdocs
mkdocs-material mkdocs-material
mkdocs-git-authors-plugin
mkdocs-git-revision-date-localized-plugin
]; ];
in { in {
formatter = alejandra.defaultPackage.${system}; formatter = alejandra.defaultPackage.${system};
@ -26,7 +28,7 @@
name = "skynet-wiki"; name = "skynet-wiki";
src = self; src = self;
buildInputs = packages; buildInputs = packages;
buildPhase = "mkdocs build"; buildPhase = "tar -zxf _git.tar.gz && mkdocs build";
installPhase = "mkdir -p $out; cp -R site/* $out;"; installPhase = "mkdir -p $out; cp -R site/* $out;";
}; };

View file

@ -1,6 +1,33 @@
site_name: Skynet Wiki site_name: Skynet Wiki
site_url: https://wiki.skynet.ie site_url: https://wiki.skynet.ie
repo_url: https://forgejo.skynet.ie/Skynet/wiki repo_url: https://forgejo.skynet.ie/Skynet/wiki
edit_uri: src/branch/main/src
docs_dir: ./src/ docs_dir: ./src/
theme: theme:
name: material name: material
palette:
# Palette toggle for light mode
- scheme: default
toggle:
icon: material/brightness-7
name: Switch to dark mode
# Palette toggle for dark mode
- scheme: slate
toggle:
icon: material/brightness-4
name: Switch to light mode
features:
- search.suggest
- search.highlight
- navigation.expand
- content.action.view
icon:
view: material/eye
plugins:
- search
- git-authors:
show_email_address: false
- git-revision-date-localized:
enable_creation_date: true
markdown_extensions:
- tables